Account Management - Link PSN Account
Links the PlayStation ™️ Network account associated with the provided access code to the user's PlayFab account
POST https://titleId.playfabapi.com/Client/LinkPSNAccount
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-Authorization | True |
string |
This API requires a client session ticket, available from any Client Login function. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| AuthCode | True |
string |
Authentication code provided by the PlayStation ™️ Network. |
| RedirectUri | True |
string |
Redirect URI supplied to PlayStation ™️ Network when requesting an auth code |
| AuthVersion |
string |
Optional PlayStation ™️ Network auth version. Controls which PlayStation ™️ Network auth version is used. Accepted values are "v2" and "v3". |
|
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
|
| ForceLink |
boolean |
If another user is already linked to the account, unlink the other user and re-link. |
|
| IssuerId |
number |
Id of the PlayStation ™️ Network issuer environment. If null, defaults to production environment. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-Authorization
This API requires a client session ticket, available from any Client Login function.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Link |
|
|
Link |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
LinkPSNAccountRequest
| Name | Type | Description |
|---|---|---|
| AuthCode |
string |
Authentication code provided by the PlayStation ™️ Network. |
| AuthVersion |
string |
Optional PlayStation ™️ Network auth version. Controls which PlayStation ™️ Network auth version is used. Accepted values are "v2" and "v3". |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| ForceLink |
boolean |
If another user is already linked to the account, unlink the other user and re-link. |
| IssuerId |
number |
Id of the PlayStation ™️ Network issuer environment. If null, defaults to production environment. |
| RedirectUri |
string |
Redirect URI supplied to PlayStation ™️ Network when requesting an auth code |
LinkPSNAccountResult
Error Codes
| Name | Code |
|---|---|
| AccountAlreadyLinked | 1011 |
| AccountLinkedToABannedPlayer | 1613 |
| InvalidParams | 1000 |
| InvalidPSNAuthCode | 1092 |
| InvalidPSNAuthCode | 1092 |
| InvalidPSNIssuerId | 1151 |
| LinkedAccountAlreadyClaimed | 1012 |
| PSNInaccessible | 1152 |
| PSNNextGenNotConfiguredForTitle | 1617 |
"PlayStation" is a registered trademark or trademark of Sony Interactive Entertainment Inc.